Bug 504710 - Review Request: rubygem-gettext_rails - Localization support for Ruby on Rails(>=2.3) by Ruby-GetText-Package
Review Request: rubygem-gettext_rails - Localization support for Ruby on Rail...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On: 504707 504709
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 18:11 EDT by Mamoru TASAKA
Modified: 2009-06-27 00:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 00:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-06-08 18:11:21 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/Ruby_on_Rails/rubygem-gettext_rails.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/Ruby_on_Rails/rubygem-gettext_rails-2.0.4-1.fc.src.rpm
Description: 
gettext_rails provides the localization for Ruby on Rails-2.3 or later
using Ruby-GetText-Package.

* Autodetect client locale using locale/locale_rails.
* Easy maintenance of translations to use powerful tools for gettext family.
* Model translation using gettext_activerecord.
* Localization for some helpers.
* Works with other Rails I18n backend.
  * Note that gettext_rails is not the one of I18n backend.
* Thread safe.

(koji) scratch build
- For F-12: http://mtasaka.fedorapeople.org/Review_request/Ruby_on_Rails/Mock_results/
- For F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1400009

Note that currently this package is for F-11 and above.
Comment 1 Mamoru TASAKA 2009-06-12 11:21:35 EDT
http://mtasaka.fedorapeople.org/Review_request/Ruby_on_Rails/rubygem-gettext_rails.spec
http://mtasaka.fedorapeople.org/Review_request/Ruby_on_Rails/rubygem-gettext_rails-2.0.4-2.fc.src.rpm

* Fri Jun 12 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.4-2
- Also mark gettext mo files under test/ directory with %%lang
Comment 3 Xavier Lamien 2009-06-25 17:49:48 EDT
OK	source files match upstream
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK      Global are used.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2 or Ruby). License text included in package in part of reason has been given properly.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	%clean is present.
OK	package builds in koji (Rawhide/x86_64).
OK	rpmlint is silent.
OK	final provides and requires look sane.
--	%check is present (however, test need more work, not a blocker).
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	huge %docs has been moved to sub-package 
OK      package installed properly

According to ruby guideline, the package uses proper ruby specific packaging.


** APPROVED **
Comment 4 Xavier Lamien 2009-06-25 17:51:00 EDT
woops.
Package is noarch.
Comment 5 Mamoru TASAKA 2009-06-26 00:23:01 EDT
Thank you!

-----------------------------------------------------------
New Package CVS Request
=======================
Package Name:       rubygem-gettext_rails
Short Description:  Localization support for Ruby on Rails by Ruby-GetText-Package
Owners:             mtasaka
Branches:           F-11
InitialCC:          (nobody)
Comment 6 Jason Tibbitts 2009-06-26 20:34:12 EDT
CVS done.
Comment 7 Mamoru TASAKA 2009-06-27 00:15:24 EDT
Rebuilt on all archs, submitted push request on bodhi, closing.

Thank you for the review and CVS procedure.

Note You need to log in before you can comment on or make changes to this bug.